JUST(1)

NAME
just - save and run commands

DESCRIPTION
just 1.24.0 - Please see https://github.com/casey/just for more information.

  USAGE:

    just [FLAGS] [OPTIONS] [--] [ARGUMENTS]...

  FLAGS:

--changelog
    Print changelog

--check
    Run `--fmt` in 'check' mode. Exits with 0 if justfile is formatted correctly. Exits with 1 and prints a diff if formatting is required.

--choose
    Select one or more recipes to run using a binary chooser. If `--chooser` is not passed the chooser defaults to the value of $JUST_CHOOSER, falling back to `fzf`

--clear-shell-args
    Clear shell arguments

-n, --dry-run
    Print what just would do without doing it

--dump
    Print justfile

-e, --edit
    Edit justfile with editor given by $VISUAL or $EDITOR, falling back to `vim`

--evaluate
    Evaluate and print all variables. If a variable name is given as an argument, only print that variable's value.

--fmt
    Format and overwrite justfile

--highlight
    Highlight echoed recipe lines in bold

--init
    Initialize new justfile in project root

-l, --list
    List available recipes and their arguments

--no-deps
    Don't run recipe dependencies

--no-dotenv
    Don't load `.env` file

--no-highlight
    Don't highlight echoed recipe lines in bold

-q, --quiet
    Suppress all output

--shell-command
    Invoke <COMMAND> with the shell used to run recipe lines and backticks

--summary
    List names of available recipes

-u, --unsorted
    Return list and summary entries in source order

--unstable
    Enable unstable features

--variables
    List names of variables

-v, --verbose
    Use verbose output

--yes
    Automatically confirm all recipes.

-h, --help
    Print help information

-V, --version
    Print version information

  OPTIONS:

--chooser <CHOOSER>
    Override binary invoked by `--choose`

--color <COLOR>

Print colorful output [default: auto]
    [possible values: auto, always, never]

-c, --command <COMMAND>

    Run an arbitrary command with the working directory, `.env`, overrides, and exports set

--command-color <COMMAND-COLOR>

    Echo recipe lines in <COMMAND-COLOR> [possible values: black, blue, cyan, green, purple, red, yellow]

--completions <SHELL>

    Print shell completion script for <SHELL> [possible values: zsh, bash, fish, powershell, elvish]

--dotenv-filename <DOTENV-FILENAME>

    Search for environment file named <DOTENV-FILENAME> instead of `.env`

--dotenv-path <DOTENV-PATH>

    Load environment file at <DOTENV-PATH> instead of searching for one

--dump-format <FORMAT>

Dump justfile as <FORMAT> [default: just]
    [possible values: just, json]

-f, --justfile <JUSTFILE>
    Use <JUSTFILE> as justfile

--list-heading <TEXT>
    Print <TEXT> before list

--list-prefix <TEXT>
    Print <TEXT> before each list item

--set <VARIABLE> <VALUE>
    Override <VARIABLE> with <VALUE>

--shell <SHELL>
    Invoke <SHELL> to run recipes

--shell-arg <SHELL-ARG>...
    Invoke shell with <SHELL-ARG> as an argument

-s, --show <RECIPE>
    Show information about <RECIPE>

-d, --working-directory <WORKING-DIRECTORY>

    Use <WORKING-DIRECTORY> as working directory. --justfile must also be set

  ARGS:

<ARGUMENTS>...
    Overrides and recipe(s) to run, defaulting to the first recipe in the justfile